--- /usr/ports/Mk/bsd.openssl.mk.orig	2008-07-23 09:14:29.000000000 +0300
+++ /usr/ports/Mk/bsd.openssl.mk	2008-07-25 12:02:01.000000000 +0300
@@ -33,6 +33,9 @@
 # BUILD_DEPENDS		- are added if needed
 # RUN_DEPENDS		- are added if needed
 
+.if !defined(BSD_OPENSSL_MK)
+BSD_OPENSSL_MK=yes
+
 OpenSSL_Include_MAINTAINER=	dinoex@FreeBSD.org
 
 # honor obsolete options for a bit
@@ -121,13 +124,19 @@
 	exists(${DESTDIR}/${LOCALBASE}/lib/libcrypto.so)
 # find installed port and use it for dependency
 PKG_DBDIR?=		${DESTDIR}/var/db/pkg
+.if !defined(OPENSSL_INSTALLED)
 OPENSSL_INSTALLED!=	grep -l -r "^lib/libssl.so." "${PKG_DBDIR}" | \
 			while read contents; do \
 				sslprefix=`grep "^@cwd " "$${contents}" | ${HEAD} -n 1`; \
 				if test "$${sslprefix}" = "@cwd ${LOCALBASE}" ; then \
 					echo "$${contents}"; break; fi; done
+.endif
+.if !defined(OPENSSL_PORT)
 OPENSSL_PORT!=		grep "^@comment ORIGIN:" "${OPENSSL_INSTALLED}" | ${CUT} -d : -f 2
+.endif
+.if !defined(OPENSSL_SHLIBFILE)
 OPENSSL_SHLIBFILE!=	grep "^lib/libssl.so." "${OPENSSL_INSTALLED}"
+.endif
 OPENSSL_SHLIBVER?=	${OPENSSL_SHLIBFILE:E}
 .endif
 OPENSSL_PORT?=		security/openssl
@@ -168,3 +177,4 @@
 ### crypto
 #RESTRICTED=		"Contains cryptography."
 
+.endif
--- /usr/ports/Mk/bsd.port.subdir.mk.orig	2008-07-21 16:00:36.000000000 +0300
+++ /usr/ports/Mk/bsd.port.subdir.mk	2008-07-25 12:02:01.000000000 +0300
@@ -56,6 +56,10 @@
 DESCR?=			${PKGDIR}/pkg-descr
 
 .include "${PORTSDIR}/Mk/bsd.commands.mk"
+#cache variables from bsd.openssl.mk
+.if !defined(BSD_OPENSSL_MK)
+.include "${PORTSDIR}/Mk/bsd.openssl.mk"
+.endif
 
 .MAIN: all
 
